Name:           nvidia-settings
Version:        1.0
Release:        1%{?dist}
Summary:        Configure the NVIDIA graphics driver

Group:          Applications/System
License:        GPLv2+
URL:            ftp://download.nvidia.com/XFree86/nvidia-settings/
Source0:        ftp://download.nvidia.com/XFree86/nvidia-settings/nvidia-settings-%{version}.tar.gz
Source1:        nvidia-settings.desktop
Patch0:         nvidia-settings-1.0-default.patch
Patch1:         nvidia-settings-1.0-locale.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils

BuildRequires:  gtk2-devel
BuildRequires:  libXNVCtrl-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  libXext-devel
BuildRequires:  libXv-devel


%description
The nvidia-settings utility is a tool for configuring the NVIDIA graphics
driver.  It operates by communicating with the NVIDIA X driver, querying
and updating state as appropriate.

This communication is done with the NV-CONTROL X extension.


%prep
%setup -q
%patch0 -p1 -b .default
%patch1 -p1 -b .locale
rm -rf src/libXNVCtrl/libXNVCtrl.a

sed -i -e 's|# CFLAGS = -Wall|CFLAGS = $(RPM_OPT_FLAGS)|' Makefile
sed -i -e 's|# X11R6_DIR = /usr/X11R6|X11R6_DIR = %{_prefix}|' Makefile
sed -i -e 's|CFLAGS = -Wall -g|CFLAGS = $(RPM_OPT_FLAGS)|' src/XF86Config-parser/Makefile

%build
# no job control
make NVDEBUG=1


%install
rm -rf $RPM_BUILD_ROOT
make install ROOT=$RPM_BUILD_ROOT INSTALL="install -p"

%if 0
# Desktop entry for nvidia-settings
desktop-file-install --vendor "" \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
    %{SOURCE1}
%endif

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/*.txt
%{_bindir}/nvidia-settings
%{_mandir}/man1/nvidia-settings.1.gz


%changelog
* Wed May 28 2008 kwizart < kwizart at gmail.com > - 1.0-1
- First Package for Fedora.

